## Process this file with automake to produce Makefile.in

## Created by Anjuta

EXTRA_DIST =  unity-webapps-url-db.c unity-webapps-url-db.h webapps-service.xml webapps-context-daemon.xml webapps-notification.xml webapps-indicator.xml webapps-music-player.xml webapps-launcher.xml
BUILT_SOURCES =
CLEANFILES =

unity-webapps-gen-service.c unity-webapps-gen-service.h: webapps-service.xml
	$(AM_V_GEN) $(GDBUS_CODEGEN) \
	--c-namespace UnityWebappsGen \
	--generate-c-code unity-webapps-gen-service \
	--c-generate-object-manager \
	--interface-prefix com.canonical.Unity.Webapps. \
	$<
unity-webapps-gen-notification.c unity-webapps-gen-notification.h: webapps-notification.xml
	$(AM_V_GEN) $(GDBUS_CODEGEN) \
	--c-namespace UnityWebappsGen \
	--generate-c-code unity-webapps-gen-notification \
	--interface-prefix com.canonical.Unity.Webapps. \
	$<
unity-webapps-gen-indicator.c unity-webapps-gen-indicator.h: webapps-indicator.xml
	$(AM_V_GEN) $(GDBUS_CODEGEN) \
	--c-namespace UnityWebappsGen \
	--generate-c-code unity-webapps-gen-indicator \
	--interface-prefix com.canonical.Unity.Webapps. \
	$<
unity-webapps-gen-music-player.c unity-webapps-gen-music-player.h: webapps-music-player.xml
	$(AM_V_GEN) $(GDBUS_CODEGEN) \
	--c-namespace UnityWebappsGen \
	--generate-c-code unity-webapps-gen-music-player \
	--interface-prefix com.canonical.Unity.Webapps. \
	$<
unity-webapps-gen-context.c unity-webapps-gen-context.h: webapps-context-daemon.xml
	$(AM_V_GEN) $(GDBUS_CODEGEN) \
	--c-namespace UnityWebappsGen \
	--generate-c-code unity-webapps-gen-context \
	--interface-prefix com.canonical.Unity.Webapps. \
	$<

unity-webapps-gen-launcher.c unity-webapps-gen-launcher.h: webapps-launcher.xml
	$(AM_V_GEN) $(GDBUS_CODEGEN) \
	--c-namespace UnityWebappsGen \
	--generate-c-code unity-webapps-gen-launcher \
	--interface-prefix com.canonical.Unity.Webapps. \
	$<

libunity_webapps_gdbus_codegen_sources = \
	unity-webapps-gen-service.c \
	unity-webapps-gen-context.c \
	unity-webapps-gen-notification.c \
	unity-webapps-gen-indicator.c \
	unity-webapps-gen-music-player.c \
	unity-webapps-gen-launcher.c

libunity_webapps_gdbus_codegen_headers = \
	unity-webapps-gen-service.h \
	unity-webapps-gen-context.h \
	unity-webapps-gen-notification.h \
	unity-webapps-gen-indicator.h \
	unity-webapps-gen-music-player.h \
	unity-webapps-gen-launcher.h

BUILT_SOURCES += $(libunity_webapps_gdbus_codegen_sources)
BUILT_SOURCES += $(libunity_webapps_gdbus_codegen_headers)

all: $(BUILT_SOURCES)

SUBDIRS = libunity-webapps webapps-service context-daemon runner index-updater libunity-webapps-repository
